Update additional addresses for a Midnight wallet. Used to set correct shielded/dust addresses after client-side derivation (server cannot compute JubJub/BLS12-381 keys). Only allowed for Midnight wallets.
curl --request PUT \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/waas/{walletId}/additionalAddresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"additionalAddresses": [
{
"address": "<string>",
"publicKey": "<string>",
"type": "midnight_shielded"
}
]
}
'{
"success": true
}Documentation Index
Fetch the complete documentation index at: https://www.dynamic.xyz/docs/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
UUID of the wallet
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Additional addresses to update
1 - 3 elementsShow child attributes
Additional addresses updated
Was this page helpful?
curl --request PUT \
--url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/waas/{walletId}/additionalAddresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"additionalAddresses": [
{
"address": "<string>",
"publicKey": "<string>",
"type": "midnight_shielded"
}
]
}
'{
"success": true
}